import request from '@/utils/request'

// 查询驾校-轮播图列表
export function listSwiper(query) {
  return request({
    url: '/drivingSchool/system/swiper/pclist',
    method: 'get',
    params: query
  })
}

// 查询驾校-轮播图详细
export function getSwiper(id) {
  return request({
    url: '/drivingSchool/system/swiper/' + id,
    method: 'get'
  })
}

// 新增驾校-轮播图
export function addSwiper(data) {
  return request({
    url: '/drivingSchool/system/swiper',
    method: 'post',
    data: data
  })
}

// 修改驾校-轮播图
export function updateSwiper(data) {
  return request({
    url: '/drivingSchool/system/swiper',
    method: 'put',
    data: data
  })
}

// 删除驾校-轮播图
export function delSwiper(id) {
  return request({
    url: '/drivingSchool/system/swiper/' + id,
    method: 'delete'
  })
}
